Bug 239933 - Review Request: perl-Danga-Socket - Event loop and event-driven async socket base class
Review Request: perl-Danga-Socket - Event loop and event-driven async socket ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-12 14:32 EDT by Ruben Kerkhof
Modified: 2011-07-15 11:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 07:16:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2007-05-12 14:32:02 EDT
Spec URL: http://rubenkerkhof.com/packages/perl-Danga-Socket.spec
SRPM URL: http://rubenkerkhof.com/packages/perl-Danga-Socket-1.57-1.src.rpm

Description:
This is an abstract base class for objects backed by a socket which
provides the basic framework for event-driven asynchronous IO, designed to
be fast. Danga::Socket is both a base class for objects, and an event loop.
Comment 1 Jason Tibbitts 2007-05-15 17:25:22 EDT
This is failing for me because perl-Sys-Syscall hasn't been pushed.  I guess it
didn't get tagged for F7.  I stuffed it in a local repository and things build fine.
Comment 2 Jason Tibbitts 2007-05-15 17:32:02 EDT
My only suggestion is that you include the examples directory as %doc.  I don't
think this is a blocker, though.

* source files match upstream:
   919be5206f5e9dbff4a825a5bea3ed9f223629c2e969360a6228a929c838c7f5  
   Danga-Socket-1.57.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Danga::Socket) = 1.57
   perl(Danga::Socket::Timer)
   perl-Danga-Socket = 1.57-1.fc7
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Errno)
   perl(POSIX)
   perl(Socket)
   perl(Sys::Syscall)
   perl(Time::HiRes)
   perl(bytes)
   perl(constant)
   perl(fields)
   perl(strict)
   perl(vars)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=4, Tests=59,  8 wallclock secs ( 0.22 cusr +  0.06 csys =  0.28 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Ruben Kerkhof 2007-05-16 04:16:22 EDT
Thanks again Jason. I've included the examples in %doc.

New Package CVS Request
=======================
Package Name: perl-Danga-Socket
Short Description:  Event loop and event-driven async socket base class
Owners: ruben@rubenkerkhof.com
Branches: FC-5 FC-6
Comment 4 Jason Tibbitts 2007-06-07 19:29:09 EDT
Is there some reason this ticket is still open?
Comment 5 Ruben Kerkhof 2007-06-08 07:16:20 EDT
Oops, sorry
Comment 6 Ruben Kerkhof 2007-08-06 16:36:16 EDT
Package Change Request
======================
Package Name: perl-Danga-Socket
New Branches: EL-4 EL-5
Comment 7 Petr Pisar 2011-07-13 04:50:20 EDT
Package Change Request
======================
Package Name: perl-Danga-Socket
Branches: f15 f14
New InitialCC: perl-sig

Please add `perl-sig' to CC list for all Fedora branches as this is Perl package.
Comment 8 Jason Tibbitts 2011-07-13 08:07:14 EDT
The requested branches already exist.  Just what are you requesting here?
Comment 9 Petr Šabata 2011-07-13 08:11:49 EDT
(In reply to comment #8)
> The requested branches already exist.  Just what are you requesting here?

Petr requested the addition of perl-sig to the CC list in those branches.
Comment 10 Gwyn Ciesla 2011-07-15 10:01:09 EDT
This is now done via pkgdb.
Comment 11 Petr Šabata 2011-07-15 10:34:38 EDT
(In reply to comment #10)
> This is now done via pkgdb.

We can now add other users to our packages?  How?
Comment 12 Jason Tibbitts 2011-07-15 11:24:02 EDT
Real users can simply add themselves.  Other actions require an administrator.
Comment 13 Petr Šabata 2011-07-15 11:34:41 EDT
(In reply to comment #12)
> Real users can simply add themselves.  Other actions require an administrator.

Which is what this request is about -- perl-sig is not a real user.
Comment 14 Jason Tibbitts 2011-07-15 11:51:38 EDT
Hmm, I interpreted Jon's comment as "it's been done" but it seems that I was incorrect.

Can you simply mail me a list of all of the packages where you want the CC added and I'll add it?  Please note any packages where you don't want it done on all of devel, f15 and f14.  I know there are many, and doing one request per ticket is kind of overkill.

Note You need to log in before you can comment on or make changes to this bug.